petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMFFD

A data structured used to manage the computation of the h differencing parameter for matrix-free Jacobian vector products

### Synopsis

    typedef struct _p_MatMFFD* MatMFFD;

### Notes

MATMFFD is a specific MatType which uses the MatMFFD data structure

MatMFFD*() methods actually take the Mat as their first argument. Not a MatMFFD data structure

### See Also

MATMFFD, MatCreateMFFD(), MatMFFDSetFuction(), MatMFFDSetType(), MatMFFDRegister()

### Level

developer

### Location

src/mat/../../include/petscmat.h

### Implementations

_p_MatMFFD in src/mat/impls/mffd/mffdimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages